- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ogre::Log Class Reference

Remarks:
  Log class for writing debug/log data to files.

More...

`#include <OgreLog.h>`

List of all members.

## Public Member Functions
OGRE_AUTO_MUTEX | Log (const String &name, bool debugOutput=true, bool suppressFileOutput=false)
| Remarks: Usual constructor - called by LogManager.
| ~Log ()
| Remarks: Default destructor.
const String & | getName () const
| Return the name of the log.
bool | isDebugOutputEnabled () const
| Get whether debug output is enabled for this log.
bool | isFileOutputSuppressed () const
| Get whether file output is suppressed for this log.
void | logMessage (const String &message, LogMessageLevel lml=LML_NORMAL, bool maskDebug=false)
| Log a message to the debugger and to log file (the default is "<code>OGRE.log</code>"),.
void | setDebugOutputEnabled (bool debugOutput)
| Remarks: Enable or disable outputting log messages to the debugger.
void | setLogDetail (LoggingLevel ll)
| Remarks: Sets the level of the log detail.
LoggingLevel | getLogDetail () const
| Gets the level of the log detail.
void | addListener (LogListener *listener)
| Remarks: Register a listener to this log
void | removeListener (LogListener *listener)
| Remarks: Unregister a listener from this log
## Protected Types
typedef std::vector < LogListener * > | mtLogListener
## Protected Attributes
std::ofstream | mfpLog
LoggingLevel | mLogLevel
bool | mDebugOut
bool | mSuppressFile
String | mLogName
mtLogListener | mListeners

## Detailed Description

Remarks:
  Log class for writing debug/log data to files.

Note:
  Should not be used directly, but trough the LogManager class.

Definition at line 85 of file OgreLog.h.

## Member Typedef Documentation

typedef std::vector<LogListener*> Ogre::Log::mtLogListener`[protected]`

Definition at line 94 of file OgreLog.h.

## Constructor & Destructor Documentation

OGRE_AUTO_MUTEX Ogre::Log::Log | ( | const String & | name,
|  | bool | debugOutput = `true`,
|  | bool | suppressFileOutput = `false` |
| ) |  |  |

Remarks:
  Usual constructor - called by LogManager.

Ogre::Log::~Log | ( |  | ) |

Remarks:
  Default destructor.

## Member Function Documentation

const String& Ogre::Log::getName | ( |  | ) | const

Return the name of the log.

Definition at line 112 of file OgreLog.h.

bool Ogre::Log::isDebugOutputEnabled | ( |  | ) | const

Get whether debug output is enabled for this log.

Definition at line 114 of file OgreLog.h.

bool Ogre::Log::isFileOutputSuppressed | ( |  | ) | const

Get whether file output is suppressed for this log.

Definition at line 116 of file OgreLog.h.

void Ogre::Log::logMessage | ( | const String & | message,
|  | LogMessageLevel | lml = `LML_NORMAL`,
|  | bool | maskDebug = `false` |
| ) |  |  |

Log a message to the debugger and to log file (the default is "<code>OGRE.log</code>"),.

void Ogre::Log::setDebugOutputEnabled | ( | bool | debugOutput | ) |

Remarks:
  Enable or disable outputting log messages to the debugger.

void Ogre::Log::setLogDetail | ( | LoggingLevel | ll | ) |

Remarks:
  Sets the level of the log detail.

LoggingLevel Ogre::Log::getLogDetail | ( |  | ) | const

Gets the level of the log detail.

Definition at line 135 of file OgreLog.h.

void Ogre::Log::addListener | ( | LogListener * | listener | ) |

Remarks:
  Register a listener to this log

Parameters:

  | A | valid listener derived class

void Ogre::Log::removeListener | ( | LogListener * | listener | ) |

Remarks:
  Unregister a listener from this log

Parameters:

  | A | valid listener derived class

## Member Data Documentation

std::ofstream Ogre::Log::mfpLog`[protected]`

Definition at line 88 of file OgreLog.h.

LoggingLevel Ogre::Log::mLogLevel`[protected]`

Definition at line 89 of file OgreLog.h.

bool Ogre::Log::mDebugOut`[protected]`

Definition at line 90 of file OgreLog.h.

bool Ogre::Log::mSuppressFile`[protected]`

Definition at line 91 of file OgreLog.h.

String Ogre::Log::mLogName`[protected]`

Definition at line 92 of file OgreLog.h.

mtLogListener Ogre::Log::mListeners`[protected]`

Definition at line 95 of file OgreLog.h.

The documentation for this class was generated from the following file:

- OgreLog.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:50:17 2008